@import '~base-scss/base';

$color-text-on-primary: get-text-color($color-primary);

.user-exports {
    @extend %main-content;
    display: flex;
    flex-direction: column;

    .header {
        display: flex;
        align-items: center;
        flex-shrink: 0;
        justify-content: space-between;
        border-bottom: $width-separator-thin solid $color-separator;
        background-color: $color-foreground;
        padding: $spacing-small $spacing-medium-alt;

        .export-link {
            @extend %button-like-link;
            background-color: $color-primary;
            color: $color-text-on-primary;
        }
    }

    .main-container {
        display: flex;
        position: relative;
        flex-grow: 1;

        .table-container {
            display: flex;
            flex-direction: column;
            flex-grow: 1;
            background-color: $color-background-row;
            overflow-y: auto;


            :global {
                .raw-table {
                    .headers {
                        .mime-type {
                            width: 96px;
                        }

                        .file {
                            width: 64px;
                        }
                    }

                    .body {
                        cursor: pointer;

                        .row {
                            &.highlighted {
                                @include background-color($color-accent);

                                .file-download {
                                    color: inherit;
                                }
                            }
                        }

                        .cell {
                            position: relative;
                        }
                    }
                }

                .icon-wrapper {
                    display: flex;
                    justify-content: center;
                }

                .file-error {
                    display: flex;
                    justify-content: center;
                    color: $color-danger;
                }

                .file-download {
                    display: flex;
                    justify-content: center;
                    color: $color-accent;
                }
            }
        }

        .preview {
            flex-basis: 30%;
            flex-grow: 0;
            flex-shrink: 0;
            border-left: $width-separator-thin solid $color-separator;
            background-color: $color-foreground-alt;
        }
    }
}
